Page 84 of 191 [2858 Posts]   Goto page: Previous 1, 2, 3, ..., 82, 83, 84, 85, 86, ..., 189, 190, 191 Next
Author Message
mavrothal
PostPosted: Wed 18 Apr 2012, 16:26    Post subject:

humblesoul wrote:
I'm no code monkey and therefore know not of what I ask, but could ppm connect to the net upon activation to update itself? It connects to download...


If you add the following at the top of /usr/local/petget/pkg_chooser.sh, immediately after the comments, will do the trick
Code:
THISPID=$!
REPODATE=`find /root/.packages/ -ctime -7 | grep official`
if [ "$REPODATE" = "" ] ;then
 Xdialog  --buttons-style text --title "$(gettext 'Repo Update')" --ok-label "$(gettext 'Update')" --cancel-label "$(gettext 'Not now')"  --yesno "$(gettext 'Your repositories are more than one week old. \nDo you want to update them before you go on?')" 0 0
 case $? in
 0) rxvt -bg yellow -title 'download databases' -e /usr/local/petget/0setup
   kill $THISPID
   exec /usr/local/petget/pkg_chooser.sh
   ;;
 *) echo "$(gettext 'Going on with old repos')" ;;
 esac
fi

Of course some monkeying is needed for that Razz
humblesoul
PostPosted: Wed 18 Apr 2012, 12:38    Post subject:

I'm no code monkey and therefore know not of what I ask, but could ppm connect to the net upon activation to update itself? It connects to download...
playdayz
PostPosted: Wed 18 Apr 2012, 12:03    Post subject:

Quote:
A previous installation insisted that 13

It is necessary to "Update Lupu PPM" in order to see the latest. It does not happen automatically, but each release will have what is the latest *at that time* It is easy to update: Quickpet -> More Pets -> Update Lupu PPM.

There is an Iron 18 now--it skipped 16 and 17 because they did not work correctly in my testing. http://diddywahdiddy.net/Puppy500/Iron-18-Lucid.pet

Quote:
Just checked the lucid puppy news page, and it still refers to 5.2.8.004. Should we consider 005 released?

Yes. I am just lazy. LupuNews is updated now.

Quote:
I'm confused.
.+1
Great to have so many choices of 528-05 but why all mixed up in the same thread?

Yes. I understand. Here's the Grand Plan. In the first message of this thread Lupu/Libre and Lupu Plus/Libre will be listed and explained. Three-Headed Dog will continue to have its own thread. I don't know yet what to do about Sulu--it would have its own thread if it is viable.

It would be done by now but after Lupu Plus was released we made the breakthrough about getting the Help to work so that requires a new Lupu Plus which is coming very soon. And then I got sidetracked making Sulu.
humblesoul
PostPosted: Wed 18 Apr 2012, 10:42    Post subject:

I've never trusted ppm suggestions and always searched the net for latest whatever. Not sure why. Just do.
prehistoric
PostPosted: Wed 18 Apr 2012, 10:33    Post subject:

Just checked the lucid puppy news page, and it still refers to 5.2.8.004. Should we consider 005 released?

I would recommend that people upgrading start with a new installation and move personal files, to avoid confusion in PPM. You can get everything up to date, but it isn't going to happen automagically. I just installed the latest lupu version (15) of Iron on this machine. A previous installation insisted that 13 was latest. I'm still not sure why reconfiguring PPM caused it to download the package list for UbuntuMultiverse and UbuntuUniverse, which were not checked as repositories I wanted.
playdayz
PostPosted: Wed 18 Apr 2012, 09:32    Post subject:

Quote:
Sulu installed frugal on ext2 partition.
New Acer Aspire 5348-2365
Dual boot Win7

Wirelesss works out of the box (didn't on Lupu 528 v5, or Wary. Does on Racy 5.3)

Alsa sound works out of the box (didn't on Lupu 528 v5, does on Wary and Racy)

Thanks vtpup. That's great news. It looks like there might be a place for Sulu. Do you have a new computer by any chance, say, in the last year?
vtpup
PostPosted: Wed 18 Apr 2012, 09:00    Post subject:

Sulu installed frugal on ext2 partition.
New Acer Aspire 5348-2365
Dual boot Win7

Wirelesss works out of the box (didn't on Lupu 528 v5, or Wary. Does on Racy 5.3)

Alsa sound works out of the box (didn't on Lupu 528 v5, does on Wary and Racy)

Downloaded Seamonkey 2.8, Libre Office, Acrobat 9.3, Gimp 2.6.

Problems found so far:

Only screen dimming Fn keys not working (works on Racy 5.3, though keys reversed)

Looks really good so far!
James C
PostPosted: Wed 18 Apr 2012, 03:15    Post subject:

Just a quick report that I manually upgraded a frugal install from 528.004 to 528.005 with no problems .Everything previously installed and modified was persistent.
mavrothal
PostPosted: Wed 18 Apr 2012, 02:05    Post subject:

playdayz wrote:

Quote:
You may also want to consider this PPM improvement that allows searching multiple repos with multiple terms (eg video edit). Given the Luci/Ubuntu extended repos may be more useful than in any other puppy.
There is also a Lupu-compatible pet that also includes the pupy-common and puppy-noarch repos,

This works for me on first test mavrothal It is necessary to restart PPM after adding repos, I think.


Yes. In contrast to quickpet, ppm does not auto-restart when you change preferences. You must do it manually for the changes to take effect.
shinobar
PostPosted: Wed 18 Apr 2012, 01:00    Post subject: PPM correction for lupu

rerwin wrote:
When I made my changes for flash drive installations, I decided to avoid integrating the significant dependency corrections, because they were too much for me to take responsibility for as we are trying to finalize lupu (in some sense).

Okey, i propose a small patch against your patch-8. I hope you understand what i intend.
Code:
# diff petget-rerwin-patch-8 petget-shinobar-patch-8
diff petget-rerwin-patch-8/pkg_chooser.sh petget-shinobar-patch-8/pkg_chooser.sh
20a21
> LANG_USER=$LANG   # shinobar
269a271
> LANG=$LANG_USER   # shinobar
diff petget-rerwin-patch-8/removepreview.sh petget-shinobar-patch-8/removepreview.sh
87a88
>      rm -f "/initrd/pup_rw${ONESPEC}"   # 25mar12 shinobar: forgot this
100,101c101,102
<  else #120103 shinobar: PUPMODE=2
<   cat /root/.packages/${DB_pkgname}.files | grep -v '/$' | xargs rm -f #/ on end, it is a directory entry.
---
>  else #120103 shinobar: PUPMODE=2 #21jan12 shinobar: allow space chars in the path
>   grep -v '/$' /root/.packages/${DB_pkgname}.files | while  read ONESPEC; do rm -f "$ONESPEC"; done
rerwin
PostPosted: Tue 17 Apr 2012, 23:16    Post subject:

shinobar,
So the development of the PPM improvements continues. When I made my changes for flash drive installations, I decided to avoid integrating the significant dependency corrections, because they were too much for me to take responsibility for as we are trying to finalize lupu (in some sense). I think playdayz wants to avoid a struggle to get it right in lupu, at least to avoid doing it before the fixes go into woof. I want to make only fixes that appear safe, that don't potentially add new problems.

I will let playdayz make the call about that. If mavrothal's PPM improvements depend on that recent dependency code, then things get complicated. But if he decides to take all of the PPM improvements, I can merge my relatively small changes into whatever you two end up with.
Richard
shinobar
PostPosted: Tue 17 Apr 2012, 22:03    Post subject: Re: PPM Improvement vs. flash-drive installation fixes

rerwin wrote:
playdayz,
If you are considering adding the PPM improvement to lupu528, please wait. I see that some of the modified scripts are ones that I modified to make flash-drive installations work ( in patch-8 ).

@rerwin
As for the PPM, i hope you review my most recent one, petget-20120331.pet:
http://www.murga-linux.com/puppy/viewtopic.php?t=73829

Me too, will check your PPM in the patch-8.
rerwin
PostPosted: Tue 17 Apr 2012, 20:16    Post subject: Re: PPM Improvement vs. flash-drive installation fixes

playdayz,
If you are considering adding the PPM improvement to lupu528, please wait. I see that some of the modified scripts are ones that I modified to make flash-drive installations work (in patch-8).

I will attempt to merge the code for the 3 impacted scripts. I will also check for conflicts with the other affected scripts, compared to lupu's versions.

I think I should do this anyway, to provide a safe pet-package version for lupu528. I have not ported all of the woof mods to those scripts (installpkg.sh, installpreview.sh, pkg_chooser.sh), to avoid unnecessary surprises.
Richard
majorfoo
PostPosted: Tue 17 Apr 2012, 19:31    Post subject:

Full install of Sulu-001.

Sound - ok
Auto connect to internet - ok
Added Audacious 3.22 - sounds great
Added Seamonkey-2.9 beta 2 - works
Added Xorghigh
Xscreensaver
Wbar 1.33
Evince 2.30
Puppy Browser
Flashplayer 11.2.202.228
Shermans Aquarium
Bibletime 2.72
Pwidgets 2.40
Sfs Install
Tcl-tk_plus

All of these work as expected.

Thanks for another puppy to play with
playdayz
PostPosted: Tue 17 Apr 2012, 18:05    Post subject:

Quote:
Super Lupu will load but does not detect my realtek usb wireless 8192cu module...can someone please compile this module for the new kernel for me....

I will not be supporting Sulu myself. It doesn't work as well as i hoped it might. My usb webcam has some problems that it does not have with either lucid or 3HD. I am afraid there is just too much distance between Lucid and the 3.x kernel. So far, I don't really see that it adds anything, or solves any problems. I did use the 3.0.25 kernel from racy thinking that drivers compiled for racy should work.

Quote:
You may also want to consider this PPM improvement that allows searching multiple repos with multiple terms (eg video edit). Given the Luci/Ubuntu extended repos may be more useful than in any other puppy.
There is also a Lupu-compatible pet that also includes the pupy-common and puppy-noarch repos,

This works for me on first test mavrothal It is necessary to restart PPM after adding repos, I think.
Display posts from previous:   Sort by:   
Page 84 of 191 [2858 Posts]   Goto page: Previous 1, 2, 3, ..., 82, 83, 84, 85, 86, ..., 189, 190, 191 Next

Powered by phpBB © 2001, 2005 phpBB Group